Ignition OAuth API

An API for Ticket’s operations, base path is https://ignition.ticketek.com.au/

  • Version: v1

Generate Access Token

  • POST /oauth2/token

Request parameters

Name Type Required Description
CorrelationId false A unique identifier value (in header) that is attached to requests and messages that allow reference to a particular transaction or event chain
x-api-key String true API Key
grant_type String false Grant Type
client_id String false Client Id
client_secret String false Client Secret
claims String false Claims
scope String false Scope

Response parameters

Name Type Required Description
access_token String false Access Token
issued_at String false
token_type String false
expires_in String false
scope String false
refresh_token String false
config String false

Generate JWT

  • POST /oauth2/jwt

Request parameters

Name Type Required Description
CorrelationId false A unique identifier value (in header) that is attached to requests and messages that allow reference to a particular transaction or event chain
x-api-key String true API Key
grant_type String false Grant Type
client_id String false Client Id
client_secret String false Client Secret
claims String false Claims
scope String false Scope

Response parameters

Name Type Required Description
access_token String false Access Token
issued_at String false
token_type String false
expires_in String false
scope String false
refresh_token String false
config String false
Scroll to Top